Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-2695

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2004-2695
Last Modified 05 Sep 2008 12:00:00
Published 31 Dec 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-2695

Summary

SQL injection vulnerability in the Authorize.net callback code (subscriptions/authorize.php) in Jelsoft vBulletin 3.0 through 3.0.3 allows remote attackers to execute arbitrary SQL statements via the x_invoice_num parameter. NOTE: this issue might be related to CVE-2006-4267.

Vulnerable Systems

Application

  • Jelsoft Vbulletin 3.0

  • Jelsoft Vbulletin 3.0 Beta 2

  • Jelsoft Vbulletin 3.0 Beta 3

  • Jelsoft Vbulletin 3.0 Beta 4

  • Jelsoft Vbulletin 3.0 Beta 5

  • Jelsoft Vbulletin 3.0 Beta 6

  • Jelsoft Vbulletin 3.0 Beta 7

  • Jelsoft Vbulletin 3.0 Gamma

  • Jelsoft Vbulletin 3.0.1

  • Jelsoft Vbulletin 3.0.2

  • Jelsoft Vbulletin 3.0.3

  • Samba Ppp 2.4.1


References

CONFIRM - http://www.vbulletin.com/forum/bugs.php?do=view&bugid=3379

XF - vbulletin-itemnumber-sql-injection(17365)

CONFIRM - http://www.vbulletin.com/forum/showthread.php?t=124876

BID - 11193

MISC - http://www.securiteam.com/unixfocus/5BP0E15E0M.html

SECUNIA - 12531


Last Updated: 27 May 2016 10:39:35